count.fields {base} | R Documentation

## Count the Number of Fields per Line

### Description

`count.fields` counts the number of fields, as separated by `sep`, in each of the lines of `file` read. It is used by `read.table`; a user will typically have no need for it.

### Usage

    count.fields(file, sep = "", quote = "\"'", skip = 0)

### Arguments

`file` | a character string naming an ASCII data file
`sep` | the field separator character. Values on each line of the file are separated by this character. By default, arbitrary amounts of whitespace can separate fields.
`quote` | the set of quoting characters
`skip` | the number of lines of the data file to skip before beginning to read data.

### Value

A vector with the numbers of fields found.

### See Also

`read.table`

### Examples

    cat("NAME", "1:John", "2:Paul", file = "foo", sep = "\n")
    count.fields("foo", sep = ":")
    unlink("foo")

[Package Contents]